Subject: Re: Bug report : bad filter-branch (OSX only)

From: Junio C Hamano <[email-masked]>
Date: Wed, 29 Apr 2015 10:13:06 -0700

Jeff King <[email-masked]> writes:

> ... would behave incorrectly without "-r". I would be shocked if that ever
> happens in real life, but I think it doesn't hurt to be careful.

Ahh, OK.  I overlooked the continued-line possibility.

> $$ is always the pid of the main shell process,...

Thanks for straightening me out---I was too lazy to run strace ;-)

> ... But I can imagine a shell that is smart
> enough to realize a fork is not required in this instance.

Yup.  I think that is a natural thing to optimize for implementors
of shells.

Thanks.